function [Pi, i] = gotToNTheoretical(N, p)
    % This function returns the theoretical value for Gambler's Ruin
    % problem up to N, with prob of gambling success as "p" for linspace of
    % i's.
    
    if N < 0 || p < 0 || p > 1
        error('Invalid argument!'); 
    end
    
    i = linspace(0, N, 200);
    
    q = 1-p;
    r = q/p;
    
    if p == 0.5
        Pi = i./N;
        return;
    end
    
    Pi = (1-r.^i)./(1-r^N);
end